# class Net::IMAP::ResponseError

Superclass of all errors used to encapsulate “fail” responses from the server.

### Attributes

response[RW]

The response that caused this error

### Public Class Methods

new(response) click to toggle source
Calls superclass method `Exception::new`

    # File lib/net/imap.rb, line 3696
    def initialize(response)
      @response = response

      super @response.data.text
    end